#include <owl\owlpch.h>

#include <bwcc.h>

#include <string.h>

#include "dirdlg.h"

#define IDDLG_OPEN 1536


DEFINE_RESPONSE_TABLE1(TDirectoryDialog, TOpenSaveDialog)
   EV_WM_CTLCOLOR,
END_RESPONSE_TABLE;


TDirectoryDialog::TDirectoryDialog(TWindow *Parent, char *InitDir) :
   TFileSaveDialog(Parent, TData(OFN_HIDEREADONLY | OFN_PATHMUSTEXIST, "Temp|~|"),
                   IDDLG_OPEN)
{
   Data.InitialDir = InitDir;
}

HBRUSH TDirectoryDialog::EvCtlColor(HDC hDC, HWND, UINT ctlType)
{
   if (ctlType == CTLCOLOR_LISTBOX || ctlType == CTLCOLOR_EDIT)
   {
      SetBkColor(hDC, RGB(255, 255, 255));
      SetTextColor(hDC, RGB(0, 0, 0));
      return (HBRUSH)GetStockObject(WHITE_BRUSH);
   }
   else if (GetApplication()->BWCCEnabled() || GetApplication()->Ctl3dEnabled())
   {
      SetBkColor(hDC, RGB(192, 192, 192));
      SetTextColor(hDC, RGB(0, 0, 0));
      return (HBRUSH)GetStockObject(LTGRAY_BRUSH);
   }
   else
      return (HBRUSH)GetStockObject(WHITE_BRUSH);
}
 

void TDirectoryDialog::GetDirectory(char *Dir)
{
   strcpy(Dir, Data.FileName);
   Dir[strlen(Dir) - 1] = '\0';
}

